summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-freebsd/freebsd-mk-defs/freebsd-mk-defs-11.0.ebuild')
-rw-r--r--sys-freebsd/freebsd-mk-defs/freebsd-mk-defs-11.0.ebuild55
1 files changed, 55 insertions, 0 deletions
diff --git a/sys-freebsd/freebsd-mk-defs/freebsd-mk-defs-11.0.ebuild b/sys-freebsd/freebsd-mk-defs/freebsd-mk-defs-11.0.ebuild
new file mode 100644
index 00000000000..e1eb27a8861
--- /dev/null
+++ b/sys-freebsd/freebsd-mk-defs/freebsd-mk-defs-11.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit bsdmk freebsd
+
+DESCRIPTION="Makefiles definitions used for building and installing libraries and system files"
+SLOT="0"
+
+IUSE="userland_GNU"
+
+if [[ ${PV} != *9999* ]]; then
+ KEYWORDS="~amd64 ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+fi
+
+EXTRACTONLY="share/"
+
+RDEPEND=""
+DEPEND=""
+
+RESTRICT="strip"
+
+S="${WORKDIR}/share/mk"
+
+src_prepare() {
+ local installdir
+
+ epatch "${FILESDIR}/${PN}-11.0-gentoo.patch"
+ epatch "${FILESDIR}/${PN}-11.0-rename-libs.patch"
+ epatch "${FILESDIR}/${PN}-11.0-libproc-libcxx.patch"
+ epatch "${FILESDIR}/${PN}-11.0-drop-unsupport-cflags.patch"
+ use userland_GNU && epatch "${FILESDIR}/${PN}-11.0-gnu.patch"
+
+ if [[ ${CHOST} != *-freebsd* ]]; then
+ installdir="/usr/share/mk/freebsd"
+ else
+ installdir="/usr/share/mk"
+ fi
+
+ sed -i -e "s:FILESDIR=.*:FILESDIR= ${installdir}:" "${S}"/Makefile || die
+}
+
+src_compile() { :; }
+
+src_install() {
+ freebsd_src_install
+ if [[ ${CHOST} != *-freebsd* ]]; then
+ insinto /usr/share/mk/freebsd/system
+ else
+ insinto /usr/share/mk/system
+ fi
+ doins *.mk *.awk
+}